Bug 40044 - add a dumb /etc/inetd.conf for compatibility
add a dumb /etc/inetd.conf for compatibility
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-10 06:04 EDT by Arenas Belon, Carlo Marcelo
Modified: 2007-03-26 23:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-10 06:04:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arenas Belon, Carlo Marcelo 2001-05-10 06:04:25 EDT
Description of Problem:
if there is no /etc/inetd.conf file some scripts that take it for granted
could fail (Veritas Netbackup being one of them), also a description
telling that inetd.conf is dropped on favor of xinetd and that a every
service now has its own file on /etc/xinetd.d/ wouldn't hurt ;)

telling the administrator that he could use /usr/sbin/inetdconvert to help
him convert those obsolete inetd.conf entries a bonus ;)

How Reproducible:
always

Steps to Reproduce:
1.  run any script that expects an /etc/inetd.conf file (as in any *nix
system i know off) or die
2. 
3. 

Actual Results:
an error and no /etc/inetd.conf services to switch to xinetd manually

Expected Results:
no errors

Additional Information
/etc/inetd.conf has a mention on FHS2.2beta, so it could be expected to be
available.
surelly it is tagged as optional but surelly there is no mention for
/etc/xinetd.d/ even as optional ;)
Comment 1 Trond Eivind Glomsrxd 2001-05-11 16:09:37 EDT
Failing instead of believing the file actually is used is a good thing - the
right place for this documentation is in the releasenotes, where it actually is...

Note You need to log in before you can comment on or make changes to this bug.